## com.sun.grizzly.util
Class SelectionKeyOP.ConnectSelectionKeyOP

    java.lang.Object
      com.sun.grizzly.util.SelectionKeyOP
          com.sun.grizzly.util.SelectionKeyOP.ConnectSelectionKeyOP

Enclosing class:
  SelectionKeyOP

    public static class SelectionKeyOP.ConnectSelectionKeyOP

extends SelectionKeyOP

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.grizzly.util.SelectionKeyOP
`SelectionKeyOP.ConnectSelectionKeyOP`

Constructor Summary
`SelectionKeyOP.ConnectSelectionKeyOP()`

Method Summary
`CallbackHandler` `getCallbackHandler()`
`SocketAddress` `getLocalAddress()`
`SocketAddress` `getRemoteAddress()`
`protected void` `recycle()`
`void` `setCallbackHandler(CallbackHandler callbackHandler)`
`void` `setLocalAddress(SocketAddress localAddress)`
`void` `setRemoteAddress(SocketAddress remoteAddress)`

Methods inherited from class com.sun.grizzly.util.SelectionKeyOP
`aquireSelectionKeyOP, getChannel, getOp, getSelectionKey, releaseSelectionKeyOP, setChannel, setOp, setSelectionKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionKeyOP.ConnectSelectionKeyOP

    public SelectionKeyOP.ConnectSelectionKeyOP()

Method Detail

### getLocalAddress

    public SocketAddress getLocalAddress()

### setLocalAddress

    public void setLocalAddress(SocketAddress localAddress)

### getRemoteAddress

    public SocketAddress getRemoteAddress()

### setRemoteAddress

    public void setRemoteAddress(SocketAddress remoteAddress)

### getCallbackHandler

    public CallbackHandler getCallbackHandler()

### setCallbackHandler

    public void setCallbackHandler(CallbackHandler callbackHandler)

### recycle

    protected void recycle()

  Overrides:
    `recycle` in class `SelectionKeyOP`

Copyright © 2008 SUN Microsystems. All Rights Reserved.